Nordmind\Mailer\Application\Mailer\Template:
    type: entity
    table: mailer_template
    id:
        id:
            type: integer
            unique: true
            id: true
            generator:
                strategy: AUTO
    fields:
        name:
            type: string
        systemName:
            type: string
            unique: true
        subject:
            type: string
            nullable: true
        senderEmail:
            type: string
            nullable: true
        senderName:
            type: string
            nullable: true
        priority:
            type: integer
            nullable: true
    oneToMany:
        parameters:
            cascade: ["persist", "remove"]
            targetEntity: Nordmind\Mailer\Application\Mailer\Parameter
            mappedBy: template
        defaultRecipients:
            cascade: ["persist"]
            targetEntity: Nordmind\Mailer\Application\Mailer\DefaultRecipient
            mappedBy: template
            orphanRemoval: true